> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/sql-structure/operators/arithmetic-operators/division-operator.md).

# Division Operator (/)

## Syntax

```bnf
/
```

## Description

Division operator. Dividing by zero will return `NULL`. By default, returns four digits after the decimal. This is determined by the server system variable [div\_precision\_increment](/docs/server/server-management/variables-and-modes/server-system-variables.md#div_precision_increment) which by default is four. It can be set from 0 to 30.

Dividing by zero returns `NULL`. If the default `ERROR_ON_DIVISION_BY_ZERO` [SQL\_MODE](/docs/server/server-management/variables-and-modes/sql_mode.md) is used, a division by zero also produces a warning.

## Examples

```sql
SELECT 4/5;
+--------+
| 4/5    |
+--------+
| 0.8000 |
+--------+

SELECT 300/(2-2);
+-----------+
| 300/(2-2) |
+-----------+
|      NULL |
+-----------+

SELECT 300/7;
+---------+
| 300/7   |
+---------+
| 42.8571 |
+---------+
```

Changing [div\_precision\_increment](/docs/server/server-management/variables-and-modes/server-system-variables.md#div_precision_increment) for the session from the default of four to six:

```sql
SET div_precision_increment = 6;

SELECT 300/7;
+-----------+
| 300/7     |
+-----------+
| 42.857143 |
+-----------+

SELECT 300/7;
+-----------+
| 300/7     |
+-----------+
| 42.857143 |
+-----------+
```

## See Also

* [Type Conversion](/docs/server/reference/sql-functions/string-functions/type-conversion.md)
* [Module operator (%)](/docs/server/reference/sql-structure/operators/arithmetic-operators/modulo-operator.md)
* [Addition Operator (+)](/docs/server/reference/sql-structure/operators/arithmetic-operators/addition-operator.md)
* [Subtraction Operator (-)](/docs/server/reference/sql-structure/operators/arithmetic-operators/subtraction-operator.md)
* [Multiplication Operator (\*)](/docs/server/reference/sql-structure/operators/arithmetic-operators/multiplication-operator.md)
* [truncate()](/docs/server/reference/sql-functions/numeric-functions/truncate.md)
* [Operator Precedence](/docs/server/reference/sql-structure/operators/operator-precedence.md)
* [DIV function](/docs/server/reference/sql-functions/numeric-functions/div.md)

<sub>*This page is licensed: GPLv2, originally from*</sub> [<sub>*fill\_help\_tables.sql*</sub>](https://github.com/MariaDB/server/blob/main/scripts/fill_help_tables.sql)

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-structure/operators/arithmetic-operators/division-operator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
